<?php
include("../Librerias/ConfNivel2.inc");
$Nivel=$_Nivel2;
$ObjSesion=new Sesiones();                ///Clase Sesi�n
$ObjSesion->MVerifica($Nivel);
$Conexion=new DBAccess();
$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);
$Formulario=new Formulario();
 /*Obtenemos los valores por get*/ 
$tags2 = array_keys($_GET); // obtiene los nombres de las variables
$valores2 = array_values($_GET);// obtiene los valores de las variables
$i=0;
foreach ($_GET as $valores){
 ${$tags2[$i]}=$valores;
 //echo '$'.$tags2[$i].' = $_POST["'.$tags2[$i].'"];<br>'; 
 $i++;	
}
/*-----------------------------*/ 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//ES" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
    <head> 
		<meta name="viewport" content="width=device-width, initial-scale=1, charset=utf-8">
		<link rel="stylesheet" type="text/css" href="<? echo $Nivel ?>bootstrap/css/bootstrap.css">       
         <?php
	   if ($_JQuery == 1)
echo '<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>';
else
echo '<script src="'.$Nivel.'Librerias/fancy/lib/jquery.min.js"></script>';
	   
$FechaActual = date("Y-m-d");
echo "<link rel='stylesheet' type='text/css' media='all' href='".$Nivel."Scripts/calendar-blue.css' title='win2k-1' />";
echo "<script type='text/javascript' src='".$Nivel."Scripts/calendar.js'></script>";
echo "<script type='text/javascript' src='".$Nivel."Scripts/calendar-es.js'></script>";
echo "<script type='text/javascript' src='".$Nivel."Scripts/funcionescalendario.js'></script>";
echo "<script language='javascript'>var actual='$FechaActual';</script>";
?>
        <script src="<? echo $Nivel ?>bootstrap/js/bootstrap.min.js"></script>
        <link rel="stylesheet" type="text/css" href="<? echo $Nivel ?>Librerias/DataTables-1.10.4/media/css/jquery.dataTables.css">
        <script type="text/javascript" language="javascript" src="<? echo $Nivel ?>Librerias/DataTables-1.10.4/media/js/jquery.dataTables.js"></script>
        <link rel="stylesheet" type="text/css" href="<? echo $Nivel ?>Librerias/DataTables-1.10.4/media/css/jquery.dataTables.css">
        
         <link rel="stylesheet" href="<? echo $Nivel ?>Librerias/multicombos/docsupport/prism.css">
	            <link rel="stylesheet" href="<? echo $Nivel ?>Librerias/multicombos/chosen.css">
				 <style type="text/css" media="all">
				     .chosen-rtl .chosen-drop { left: -9000px; }
                  </style>
		<title>Cat&aacute;logo de usuarios</title>
	</head>
    <body style="padding-top: 60px;">
    <? include $Nivel."menu1.php";
echo '<br>';?>
    <div class="container">
    
 <div class="panel panel-primary"> 
     <div class="panel-heading"><strong><i class="fa fa-users" aria-hidden="true"></i>  Usuarios - Accesos al Sistema</strong></div>     
<? 
if ($_SESSION["Tipo"]=='A'){ ?>
<form action="AccesosUsuarios.php">
 <div class="form-group"> 
  <table align="center" border="0" width="100%">
    <tr>
      <td width="40%" align="right"><b>Fecha :</b></td>
      <td>
       <div class="input-group">
     <!-- <input type="text" class="form-control" placeholder="Search for...">-->
       <?
		   $Formulario->MInputTexto("FechaActividad",$FechaActividad,12,12,3,' onKeyPress="return FSFecha(event)" readonly Placeholder = "Escriba el nombre"',"form-control");
         ?>
      <span class="input-group-btn">
        <button class="btn btn-default" type="button" onclick="javascript:calendario('FechaActividad', 'y-mm-dd')"><i class="fa fa-calendar" aria-hidden="true"></i> </button>
      </span>
    </div

 
        
      ></td>
    </tr>
    <tr>
      <td align="right"><b>Usuario :</b></td>
      <td>
        <?

       if ($_SESSION["IdUsuario"]<=5)
                        $Consulta="Select * from usuarios ORDER BY Usuario ASC";
        else
                         $Consulta="Select * from usuarios where IdUsuario > 5  ORDER BY Usuario ASC";

        $Formulario->MSelectTabla("UsuarioId",$Consulta,"Usuario","IdUsuario",$Conexion->Link,$UsuarioId,"",100,"Seleccione ...","2");?>
        <? $Formulario->MBotonEnviar("BtnBuscar","Buscar","btn btn-primary");
		//$Formulario->MBotonScript('Buscar','Buscar',"Formulario.submit()","btn btn-primary", "fa fa-search");
		?>
      </td>
    </tr>
  </table>
  </div>
</form>
</div>
<? }

if (!$BtnBuscar){
        if ($_SESSION["IdUsuario"]<=5){
           $Consulta=" from Accesos order by Fecha DESC, Hora DESC";
        }
        else
           $Consulta=" from Accesos where IdUsuario >5 order by Fecha DESC, Hora DESC ";
}
else{
    $Consulta=" from accesos";
	$condi = 0;	
     if ($_SESSION["IdUsuario"]>5){		   
           $Consulta.=" Where IdUsuario >5 ";
		   $condi++;
	 }
    if ($IdUsuario){
		if ($condi > 0){
        $Consulta.=" and IdUsuario=$UsuarioId ";		
		}else $Consulta.=" Where IdUsuario=$UsuarioId ";
		$condi++;
	}
    if ($FechaActividad){
		if ($condi > 0)
         $Consulta.=" and Fecha='$FechaActividad' ";		 
		else
		 $Consulta.=" Where Fecha='$FechaActividad' ";	
	}
         $Consulta.=" order by Fecha DESC, Hora DESC";
}
$Consul = $Consulta;

//$Res = $Conexion->MVectorRegistro($Consulta);
//$registros = $Conexion->Numfilas($Consulta);
$Bloques=20;

$Consulta = "Select * ".$Consulta;
//echo $Consulta;

$Row = $Conexion->MVectorRegistro($Consulta);
?>

<div id="dynamic" align="center">
  <table width="100%" border="0" cellpadding="0" cellspacing="0" class="display" id="example">
    <thead>
  <tr bgcolor="<?php echo $_CCT_GRID?>">
    <td width="53%" height="25">
<div align="center"><strong>USUARIO</strong></div></td>
    <td width="15%" height="25">
<div align="center"><strong>FECHA</strong></div></td>
    <td width="9%" height="25">
<div align="center"><strong>HORA</strong></div></td>
    <td width="10%" height="25">
<div align="center"><strong>IP</strong></div></td>
    <td width="13%" height="25">
<div align="center"><strong>TIPO</strong></div></td>
 </tr>
    </thead>
      <tbody>
<?
$c=0;
while ($Rowi=mysqli_fetch_array($Row)){
   $RowUsuario=$Conexion->MSelectRegistro("Select Usuario,Nombre from usuarios where IdUsuario=".$Rowi["IdUsuario"]);
  echo '<tr bgcolor="'.$_CCC[$c].'">
                    <td>'.$RowUsuario["Nombre"].'</a></strong></td>
                    <td align="center">'.$Rowi["Fecha"].'</td>
                    <td align="center">'.$Rowi["Hora"].'</td>
                    <td align="center">'.$Rowi["Ip"].'</td>
                    <td align="center">'.$Rowi["Tipo"].'</td>
                </tr>';
                $c=!$c;
                                $Cont++;
}

?>
 </tbody>
    <tfoot>
      <tr>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td width="0%"></td>
      </tr>
    </tfoot>
  </table>
  </div>
<div class="spacer"></div>
</div>
</body>
 <script type="text/javascript" language="javascript" src="<? echo $Nivel ?>Librerias/DataTables-1.10.4/media/js/jquery.dataTables.js"></script>    
<script type="text/javascript" language="javascript" class="init">
$(document).ready(function() {
	$('#example').dataTable( {
        "pagingType": "simple_numbers"
    } );
	
} );

</script> 
    <script src="<? echo $Nivel?>Librerias/multicombos/docsupport/prism.js" type="text/javascript" charset="utf-8"></script>        
    <script src="<? echo $Nivel?>Librerias/multicombos/chosen.jquery.js" type="text/javascript"></script>
<? 
    //llamamos a las funciones para las animaciones
	echo "<script type='text/javascript'>";
	echo "var config = {
      '.chosen-select'           : {},
      '.chosen-select-deselect'  : {allow_single_deselect:true},
      '.chosen-select-no-single' : {disable_search_threshold:10},
      '.chosen-select-no-results': {no_results_text:'?Sin resultados!'},
      '.chosen-select-width'     : {width:'95%'}
    }
	for (var selector in config) {
      $(selector).chosen(config[selector]);
    }";
	echo '</script>';
	?>